Bug 979564 - Review Request: mingw-sane-backends - MinGW package for SANE
Review Request: mingw-sane-backends - MinGW package for SANE
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Sandro Mani
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-28 16:07 EDT by Michael Cronenworth
Modified: 2013-07-23 23:41 EDT (History)
4 users (show)

See Also:
Fixed In Version: mingw-sane-backends-1.0.23-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-23 23:35:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
manisandro: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michael Cronenworth 2013-06-28 16:07:40 EDT
Spec URL: http://michael.cronenworth.com/RPMS/mingw-sane-backends.spec
SRPM URL: http://michael.cronenworth.com/RPMS/mingw-sane-backends-1.0.23-1.fc18.src.rpm
Description: MinGW package for SANE
Fedora Account System Username: mooninite
Comment 1 Sandro Mani 2013-07-11 07:17:14 EDT
Must fix:
- mingw{32,64}-pthreads BR are missing
- ftp://ftp.sane-project.org seems down (temporary?), so Source0 does not work.
- License breakdown must be documented [1]
- Requires of -static subpackages are incorrect.
(The way I do it is to define %pkgname with the native package name, and then prefix it with mingw32 and mingw64 as necessary, i.e.
%global pkgname sane-backends
[...]
Requires:       mingw32-%{pkgname} = %{version}-%{release}
[...]
Requires:       mingw64-%{pkgname} = %{version}-%{release}
)
- Unowned directories:
* %{mingw32/64_includedir}/sane
* %{mingw32_sysconfdir}/sane.d

Should fix:
- BuildRoot is not required anymore since F10 [2]
- %defattr is not needed anymore
- Add a comment explaining the patch
- Rpmlint warnings/errors:
* mingw32-sane-backends.noarch: E: incorrect-fsf-address /usr/i686-w64-mingw32/sys-root/mingw/include/sane/saneopts.h
* mingw32-sane-backends.noarch: E: incorrect-fsf-address /usr/share/doc/mingw32-sane-backends-1.0.23/COPYING
* mingw32-sane-backends-static.noarch: W: summary-ended-with-dot C Static version of the Scanner Access Now Easy (SANE) universal scanner interface.
* mingw32-sane-backends-static.noarch: E: summary-too-long C Static version of the Scanner Access Now Easy (SANE) universal scanner interface.
* mingw32-sane-backends-static.noarch: E: description-line-too-long C Static version of the Scanner Access Now Easy (SANE) universal scanner interface.
* mingw32-sane-backends-static.noarch: W: no-documentation
* mingw64-sane-backends.noarch: W: summary-ended-with-dot C Static version of the Scanner Access Now Easy (SANE) universal scanner interface.
* mingw64-sane-backends.noarch: E: summary-too-long C Static version of the Scanner Access Now Easy (SANE) universal scanner interface.
* mingw64-sane-backends.noarch: E: incorrect-fsf-address /usr/share/doc/mingw64-sane-backends-1.0.23/COPYING
* mingw64-sane-backends.noarch: E: incorrect-fsf-address /usr/x86_64-w64-mingw32/sys-root/mingw/include/sane/saneopts.h
* mingw64-sane-backends-static.noarch: W: summary-ended-with-dot C Static version of the Scanner Access Now Easy (SANE) universal scanner interface.
* mingw64-sane-backends-static.noarch: E: summary-too-long C Static version of the Scanner Access Now Easy (SANE) universal scanner interface.
* mingw64-sane-backends-static.noarch: E: description-line-too-long C Static version of the Scanner Access Now Easy (SANE) universal scanner interface.
* mingw64-sane-backends-static.noarch: W: no-documentation



[1] https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#Multiple_Licensing_Scenarios
[2] http://fedoraproject.org/wiki/Packaging:Guidelines#BuildRoot_tag
Comment 2 Michael Cronenworth 2013-07-11 09:57:33 EDT
(In reply to Sandro Mani from comment #1)
> - ftp://ftp.sane-project.org seems down (temporary?), so Source0 does not
> work.
Yes, and I included a comment for the new URL, which links to a multi-part tarball that requires some manual work to combine to the final source tarball. It is unfortunate that upstream has decided to use this method, but I am not upstream.

> Should fix:
> - BuildRoot is not required anymore since F10 [2]
> - %defattr is not needed anymore
My spec does not have these. I'm not sure what you are looking at.

New spec: http://michael.cronenworth.com/RPMS/mingw-sane-backends.spec
New SRPM: http://michael.cronenworth.com/RPMS/mingw-sane-backends-1.0.23-2.fc18.src.rpm
Comment 3 Sandro Mani 2013-07-11 10:32:43 EDT
All ok, approved!

One small remark concerning exe files, just for info: FPC approved revised guidelines stating that exes not needed for proper functionality of the libraries should either be discarded from the package, or put in a subpackage, see https://lists.fedoraproject.org/pipermail/mingw/2013-May/006865.html (apparently the updated guidelines are not yet on the wiki?). But I'll leave for you to decide if you want to change anything.

(BuildRoot and defattr: I was looking at
$ wget http://michael.cronenworth.com/RPMS/mingw-sane-backends-1.0.23-1.fc18.src.rpm
$ rpm2cpio mingw-sane-backends-1.0.23-1.fc18.src.rpm | cpio -id
$ grep BuildRoot mingw-sane-backends.spec 
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
$ grep defattr mingw-sane-backends.spec
%defattr(-,root,root)
%defattr(-,root,root,-)
%defattr(-,root,root)
%defattr(-,root,root,-)
)
Comment 4 Michael Cronenworth 2013-07-11 11:10:01 EDT
Thanks. Must have been an old spec. The tools are used to test the library, and as such I believe they are valid to be included.

New Package SCM Request
=======================
Package Name: mingw-sane-backends
Short Description: MinGW package for SANE
Owners: mooninite
Branches: f18 f19
InitialCC:
Comment 5 Gwyn Ciesla 2013-07-11 12:59:20 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2013-07-11 19:34:38 EDT
mingw-sane-backends-1.0.23-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mingw-sane-backends-1.0.23-1.fc19
Comment 7 Fedora Update System 2013-07-11 19:35:32 EDT
mingw-sane-backends-1.0.23-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mingw-sane-backends-1.0.23-1.fc18
Comment 8 Fedora Update System 2013-07-12 22:00:30 EDT
mingw-sane-backends-1.0.23-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 9 Fedora Update System 2013-07-23 23:35:19 EDT
mingw-sane-backends-1.0.23-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 10 Fedora Update System 2013-07-23 23:41:03 EDT
mingw-sane-backends-1.0.23-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.